const mongoose = require('mongoose');
const jwt = require("jsonwebtoken");

const { mongooseConstantValues } = require('../apps/common/systemConstents')
const ShelflocationsScheme = new mongoose.Schema({
    shelf: { type: String },
    code: { type: String },
    quantity: { type: Number },
    sort: { type: Number, default: 0 },
    createdAt: { type: Date, default: Date.now },
    updatedAt: { type: Date, default: null },
    saleableQty:{
		type:Number,
		default: 0
	},
	nonSaleableQty:{
		type:Number,
		default: 0
	},
	damageQty:{
		type:Number,
		default: 0
	},
    qcaction:{ type: String },
    remark:{ type: String },
    systemRemark:{ type: String },
});

module.exports = mongoose.model('TempShelflocations', ShelflocationsScheme)